<?php

namespace Ensi\CommunicationManagerClient;

class CommunicationManagerClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\CommunicationManagerClient\Api\EventsApi',
        '\Ensi\CommunicationManagerClient\Api\ThemesApi',
        '\Ensi\CommunicationManagerClient\Api\ChannelsApi',
        '\Ensi\CommunicationManagerClient\Api\NotificationsApi',
        '\Ensi\CommunicationManagerClient\Api\TypesApi',
        '\Ensi\CommunicationManagerClient\Api\StatusesApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\CommunicationManagerClient\Dto\ErrorResponse',
        '\Ensi\CommunicationManagerClient\Dto\Variable',
        '\Ensi\CommunicationManagerClient\Dto\CreateStatusRequest',
        '\Ensi\CommunicationManagerClient\Dto\StatusFillableProperties',
        '\Ensi\CommunicationManagerClient\Dto\Status',
        '\Ensi\CommunicationManagerClient\Dto\SearchStatusesResponse',
        '\Ensi\CommunicationManagerClient\Dto\SearchChannelsResponse',
        '\Ensi\CommunicationManagerClient\Dto\NotificationSettingFillableProperties',
        '\Ensi\CommunicationManagerClient\Dto\ThemeResponse',
        '\Ensi\CommunicationManagerClient\Dto\EmptyDataResponse',
        '\Ensi\CommunicationManagerClient\Dto\ChannelFillableProperties',
        '\Ensi\CommunicationManagerClient\Dto\SendEmailEventData',
        '\Ensi\CommunicationManagerClient\Dto\Channel',
        '\Ensi\CommunicationManagerClient\Dto\VariablesDictionary',
        '\Ensi\CommunicationManagerClient\Dto\CreateChannelRequest',
        '\Ensi\CommunicationManagerClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\CommunicationManagerClient\Dto\TypeResponse',
        '\Ensi\CommunicationManagerClient\Dto\PatchStatusRequest',
        '\Ensi\CommunicationManagerClient\Dto\SearchThemesResponse',
        '\Ensi\CommunicationManagerClient\Dto\Type',
        '\Ensi\CommunicationManagerClient\Dto\NotificationSettingReadonlyProperties',
        '\Ensi\CommunicationManagerClient\Dto\NotificationChannelEnum',
        '\Ensi\CommunicationManagerClient\Dto\SearchTypesRequest',
        '\Ensi\CommunicationManagerClient\Dto\StatusReadonlyProperties',
        '\Ensi\CommunicationManagerClient\Dto\SearchNotificationSettingsResponse',
        '\Ensi\CommunicationManagerClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\CommunicationManagerClient\Dto\CreateThemeRequest',
        '\Ensi\CommunicationManagerClient\Dto\ChannelReadonlyProperties',
        '\Ensi\CommunicationManagerClient\Dto\SearchNotificationsRequest',
        '\Ensi\CommunicationManagerClient\Dto\MailTypeEnum',
        '\Ensi\CommunicationManagerClient\Dto\ErrorResponse2',
        '\Ensi\CommunicationManagerClient\Dto\NotificationEventEnum',
        '\Ensi\CommunicationManagerClient\Dto\PatchThemeRequest',
        '\Ensi\CommunicationManagerClient\Dto\MassPatchNotificationsRequest',
        '\Ensi\CommunicationManagerClient\Dto\CreateTypeRequest',
        '\Ensi\CommunicationManagerClient\Dto\Theme',
        '\Ensi\CommunicationManagerClient\Dto\TypeReadonlyProperties',
        '\Ensi\CommunicationManagerClient\Dto\NotificationFillableProperties',
        '\Ensi\CommunicationManagerClient\Dto\PatchChannelRequest',
        '\Ensi\CommunicationManagerClient\Dto\PatchTypeRequest',
        '\Ensi\CommunicationManagerClient\Dto\RequestBodyPagination',
        '\Ensi\CommunicationManagerClient\Dto\ThemeFillableProperties',
        '\Ensi\CommunicationManagerClient\Dto\SendInternalMessageEventData',
        '\Ensi\CommunicationManagerClient\Dto\Notification',
        '\Ensi\CommunicationManagerClient\Dto\NotificationSettingResponse',
        '\Ensi\CommunicationManagerClient\Dto\PaginationTypeCursorEnum',
        '\Ensi\CommunicationManagerClient\Dto\NotificationVariableEnum',
        '\Ensi\CommunicationManagerClient\Dto\RequestBodyCursorPagination',
        '\Ensi\CommunicationManagerClient\Dto\UserTypeEnum',
        '\Ensi\CommunicationManagerClient\Dto\SearchChannelsRequest',
        '\Ensi\CommunicationManagerClient\Dto\NotificationReadonlyProperties',
        '\Ensi\CommunicationManagerClient\Dto\VariablesResponse',
        '\Ensi\CommunicationManagerClient\Dto\PatchNotificationSettingRequest',
        '\Ensi\CommunicationManagerClient\Dto\ThemeReadonlyProperties',
        '\Ensi\CommunicationManagerClient\Dto\PaginationTypeOffsetEnum',
        '\Ensi\CommunicationManagerClient\Dto\Error',
        '\Ensi\CommunicationManagerClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\CommunicationManagerClient\Dto\SearchNotificationSettingsRequest',
        '\Ensi\CommunicationManagerClient\Dto\ChannelResponse',
        '\Ensi\CommunicationManagerClient\Dto\StatusResponse',
        '\Ensi\CommunicationManagerClient\Dto\PaginationTypeEnum',
        '\Ensi\CommunicationManagerClient\Dto\SendInternalMessageEvent',
        '\Ensi\CommunicationManagerClient\Dto\NotificationSetting',
        '\Ensi\CommunicationManagerClient\Dto\SendEmailEvent',
        '\Ensi\CommunicationManagerClient\Dto\ResponseBodyPagination',
        '\Ensi\CommunicationManagerClient\Dto\SearchThemesRequest',
        '\Ensi\CommunicationManagerClient\Dto\TypeFillableProperties',
        '\Ensi\CommunicationManagerClient\Dto\SearchNotificationsResponse',
        '\Ensi\CommunicationManagerClient\Dto\SearchStatusesResponseMeta',
        '\Ensi\CommunicationManagerClient\Dto\SearchStatusesRequest',
        '\Ensi\CommunicationManagerClient\Dto\SearchTypesResponse',
        '\Ensi\CommunicationManagerClient\Dto\CreateNotificationSettingRequest',
        '\Ensi\CommunicationManagerClient\Dto\ModelInterface',
    ];

    /** @var string */
    public static $configuration = '\Ensi\CommunicationManagerClient\Configuration';
}
